document.addEventListener('DOMContentLoaded', function() {
  const phdSalaryInput = document.getElementById('phd-salary');
  const ofEarningsInput = document.getElementById('of-earnings');
  const calculateBtn = document.getElementById('calculate');
  const phdTotal = document.getElementById('phd-total');
  const ofTotal = document.getElementById('of-total');
  const recommendation = document.getElementById('recommendation');
  const wheel = document.getElementById('wheel');
  const spinBtn = document.getElementById('spin');

  calculateBtn.addEventListener('click', function() {
    const phdSalary = parseFloat(phdSalaryInput.value) || 0;
    const ofEarnings = parseFloat(ofEarningsInput.value) || 0;
    
    const phdYearly = phdSalary;
    const ofYearly = ofEarnings * 12;
    
    phdTotal.textContent = `PhD Total: $${phdYearly.toLocaleString()}`;
    ofTotal.textContent = `OnlyFans Total: $${ofYearly.toLocaleString()}`;
    
    if (ofYearly > phdYearly) {
      recommendation.textContent = "OnlyFans might be the better financial choice!";
      recommendation.style.color = "#00b894";
    } else {
      recommendation.textContent = "Sticking with your PhD might be wiser financially.";
      recommendation.style.color = "#d63031";
    }
  });

  spinBtn.addEventListener('click', function() {
    const randomRotation = Math.floor(Math.random() * 360) + 720;
    wheel.style.transform = `rotate(${randomRotation}deg)`;
  });
});